# Silent Creepers
execute store result score number randomNumber run random value 1..10
execute at @a[scores={playerTier=2}] as @e[type=creeper,distance=..50,tag=!silent,tag=!checked,tag=!devilCreeper] if score number randomNumber matches ..3 run tag @s add silent
execute at @a[scores={playerTier=3}] as @e[type=creeper,distance=..50,tag=!silent,tag=!checked,tag=!devilCreeper] if score number randomNumber matches ..4 run tag @s add silent
execute at @e[type=creeper,tag=silent] if entity @p[scores={playerTier=2},distance=..5] run particle end_rod ~ ~1 ~ 0 0 0 0.1 2 force
execute at @e[type=creeper,tag=silent] if entity @p[scores={playerTier=3},distance=..5] run particle end_rod ~ ~1 ~ 0 0 0 0.1 2 force

execute as @e[tag=silent,nbt=!{Silent:1b}] run data modify entity @s Silent set value 1b

# Speedy Creepers
execute store result score number randomNumber run random value 1..100
execute at @a[scores={playerTier=2}] as @e[type=creeper,distance=..50,tag=!lurking,tag=!silent,tag=!checked,tag=!devilCreeper,nbt={Fuse:30s},tag=!speedy] if score number randomNumber matches ..7 run tag @s add speedy
execute at @a[scores={playerTier=3}] as @e[type=creeper,distance=..50,tag=!lurking,tag=!silent,tag=!checked,tag=!devilCreeper,nbt={Fuse:30s},tag=!speedy] if score number randomNumber matches ..10 run tag @s add speedy

execute at @a[scores={playerTier=2}] as @e[type=creeper,distance=..50,tag=speedy,nbt=!{ExplosionRadius:2b}] run data modify entity @s ExplosionRadius set value 2b
execute as @e[type=creeper,tag=speedy,nbt=!{Fuse:1s}] run data modify entity @s Fuse set value 1s
execute as @e[type=creeper,tag=speedy,nbt=!{Attributes:[{Name:"minecraft:generic.movement_speed",Base:0.5d}]}] run attribute @s generic.movement_speed base set 0.5

# Lurking Creepers
execute store result score number randomNumber run random value 1..100

execute at @a[scores={playerTier=2}] as @e[type=creeper,distance=..50,tag=!lurking,tag=!silent,tag=!checked,tag=!devilCreeper,nbt={Fuse:30s}] if score number randomNumber matches ..5 run tag @s add lurking
execute at @a[scores={playerTier=3}] as @e[type=creeper,distance=..50,tag=!lurking,tag=!silent,tag=!checked,tag=!devilCreeper,nbt={Fuse:30s}] if score number randomNumber matches ..10 run tag @s add lurking

execute as @e[type=creeper,tag=lurking,nbt=!{Invulnerable:1b}] run data modify entity @s Invulnerable set value 1b
execute at @a[scores={playerTier=3}] as @e[type=creeper,tag=lurking,nbt=!{ExplosionRadius:2b},distance=..50] run data modify entity @s ExplosionRadius set value 4b

execute at @a[scores={playerTier=2}] as @e[type=creeper,tag=lurking,nbt=!{Fuse:90s},distance=..50] run data modify entity @s Fuse set value 45s
execute at @a[scores={playerTier=3}] as @e[type=creeper,tag=lurking,nbt=!{Fuse:60s},distance=..50] run data modify entity @s Fuse set value 30s

execute at @a[scores={playerTier=2..}] as @e[type=creeper,tag=lurking,tag=!emerging,nbt=!{NoAI:1b},distance=..50] run data modify entity @s NoAI set value 1b

execute as @e[type=creeper,tag=lurking,tag=!inGround,tag=!digging] at @s if block ~ ~-2 ~ air run data modify entity @s Invulnerable set value 0b
execute as @e[type=creeper,tag=lurking,tag=!inGround,tag=!digging] at @s if block ~ ~-2 ~ air run data modify entity @s NoAI set value 0b
execute as @e[type=creeper,tag=lurking,tag=!inGround,tag=!digging] at @s if block ~ ~-2 ~ air run tag @s remove lurking
execute as @e[type=creeper,tag=lurking,tag=!inGround] run tag @s add digging
execute as @e[type=creeper,tag=lurking,tag=!inGround] at @s if entity @p[scores={playerTier=2..},distance=..30] run tp ~ ~-0.05 ~
execute as @e[type=creeper,tag=lurking,tag=!inGround] at @s unless block ~ ~1.8 ~ air unless block ~ ~2 ~ short_grass unless block ~ ~2 ~ tall_grass unless block ~ ~2 ~ fern unless block ~ ~2 ~ large_fern unless block ~ ~2 ~ wheat unless block ~ ~2 ~ beetroots unless block ~ ~2 ~ carrots unless block ~ ~2 ~ potatoes unless block ~ ~2 ~ pumpkin_stem unless block ~ ~2 ~ melon_stem unless block ~ ~2 ~ sweet_berry_bush unless block ~ ~2 ~ glow_lichen unless block ~ ~2 ~ sculk_vein unless block ~ ~2 ~ ladder unless block ~ ~2 ~ vine unless block ~ ~2 ~ brown_mushroom unless block ~ ~2 ~ red_mushroom unless block ~ ~2 ~ dead_bush unless block ~ ~2 ~ dandelion unless block ~ ~2 ~ poppy unless block ~ ~2 ~ blue_orchid unless block ~ ~2 ~ allium unless block ~ ~2 ~ azure_bluet unless block ~ ~2 ~ red_tulip unless block ~ ~2 ~ orange_tulip unless block ~ ~2 ~ white_tulip unless block ~ ~2 ~ pink_tulip unless block ~ ~2 ~ oxeye_daisy unless block ~ ~2 ~ cornflower unless block ~ ~2 ~ lily_of_the_valley unless block ~ ~2 ~ torchflower unless block ~ ~2 ~ wither_rose unless block ~ ~2 ~ pink_petals unless block ~ ~2 ~ pitcher_plant unless block ~ ~2 ~ pitcher_crop unless block ~ ~2 ~ torchflower_crop unless block ~ ~2 ~ lilac unless block ~ ~2 ~ rose_bush unless block ~ ~2 ~ peony unless block ~ ~2 ~ big_dripleaf unless block ~ ~2 ~ small_dripleaf unless block ~ ~2 ~ sunflower unless block ~ ~2 ~ oak_sapling unless block ~ ~2 ~ spruce_sapling unless block ~ ~2 ~ birch_sapling unless block ~ ~2 ~ jungle_sapling unless block ~ ~2 ~ acacia_sapling unless block ~ ~2 ~ dark_oak_sapling unless block ~ ~2 ~ mangrove_propagule unless block ~ ~2 ~ cherry_sapling unless block ~ ~2 ~ bamboo unless block ~ ~2 ~ redstone_wire unless block ~ ~2 ~ repeater unless block ~ ~2 ~ comparator unless block ~ ~2 ~ oak_button unless block ~ ~2 ~ spruce_button unless block ~ ~2 ~ birch_button unless block ~ ~2 ~ jungle_button unless block ~ ~2 ~ acacia_button unless block ~ ~2 ~ dark_oak_button unless block ~ ~2 ~ mangrove_button unless block ~ ~2 ~ cherry_button unless block ~ ~2 ~ bamboo_button unless block ~ ~2 ~ crimson_button unless block ~ ~2 ~ warped_button unless block ~ ~2 ~ stone_button unless block ~ ~2 ~ polished_blackstone_button unless block ~ ~2 ~ lever unless block ~ ~2 ~ oak_pressure_plate unless block ~ ~2 ~ spruce_pressure_plate unless block ~ ~2 ~ birch_pressure_plate unless block ~ ~2 ~ jungle_pressure_plate unless block ~ ~2 ~ acacia_pressure_plate unless block ~ ~2 ~ dark_oak_pressure_plate unless block ~ ~2 ~ mangrove_pressure_plate unless block ~ ~2 ~ cherry_pressure_plate unless block ~ ~2 ~ bamboo_pressure_plate unless block ~ ~2 ~ crimson_pressure_plate unless block ~ ~2 ~ warped_pressure_plate unless block ~ ~2 ~ stone_pressure_plate unless block ~ ~2 ~ polished_blackstone_pressure_plate unless block ~ ~2 ~ heavy_weighted_pressure_plate unless block ~ ~2 ~ light_weighted_pressure_plate unless block ~ ~2 ~ white_carpet unless block ~ ~2 ~ light_gray_carpet unless block ~ ~2 ~ gray_carpet unless block ~ ~2 ~ black_carpet unless block ~ ~2 ~ brown_carpet unless block ~ ~2 ~ red_carpet unless block ~ ~2 ~ orange_carpet unless block ~ ~2 ~ yellow_carpet unless block ~ ~2 ~ lime_carpet unless block ~ ~2 ~ green_carpet unless block ~ ~2 ~ cyan_carpet unless block ~ ~2 ~ light_blue_carpet unless block ~ ~2 ~ blue_carpet unless block ~ ~2 ~ purple_carpet unless block ~ ~2 ~ magenta_carpet unless block ~ ~2 ~ pink_carpet unless block ~ ~2 ~ moss_carpet unless block ~ ~2 ~ azalea unless block ~ ~2 ~ flowering_azalea unless block ~ ~2 ~ tripwire unless block ~ ~2 ~ tripwire_hook run tag @s add inGround
execute as @e[type=creeper,tag=inGround,nbt=!{active_effects:[{id:"minecraft:invisibility"}]}] run effect give @s invisibility infinite 1 true

execute as @e[type=creeper,tag=inGround,nbt=!{NoAI:0b}] run data modify entity @s NoAI set value 0b

execute as @e[type=creeper,tag=inGround] at @s run particle block amethyst_block ~ ~1.8 ~ 0 0 0 0.5 5 force
execute as @e[type=creeper,tag=inGround] at @s run particle block black_concrete ~ ~1.8 ~ 0 0 0 0.5 5 force
execute as @e[type=creeper,tag=inGround] at @s run particle block sculk ~ ~1.8 ~ 0 0 0 0.5 5 force
execute as @e[type=creeper,tag=inGround] at @s run playsound block.stone.place block @a

execute as @e[type=creeper,tag=inGround] at @s if block ~ ~5 ~ air unless block ~ ~2 ~ air unless block ~ ~2 ~ short_grass unless block ~ ~2 ~ tall_grass unless block ~ ~2 ~ fern unless block ~ ~2 ~ large_fern unless block ~ ~2 ~ wheat unless block ~ ~2 ~ beetroots unless block ~ ~2 ~ carrots unless block ~ ~2 ~ potatoes unless block ~ ~2 ~ pumpkin_stem unless block ~ ~2 ~ melon_stem unless block ~ ~2 ~ sweet_berry_bush unless block ~ ~2 ~ glow_lichen unless block ~ ~2 ~ sculk_vein unless block ~ ~2 ~ ladder unless block ~ ~2 ~ vine unless block ~ ~2 ~ brown_mushroom unless block ~ ~2 ~ red_mushroom unless block ~ ~2 ~ dead_bush unless block ~ ~2 ~ dandelion unless block ~ ~2 ~ poppy unless block ~ ~2 ~ blue_orchid unless block ~ ~2 ~ allium unless block ~ ~2 ~ azure_bluet unless block ~ ~2 ~ red_tulip unless block ~ ~2 ~ orange_tulip unless block ~ ~2 ~ white_tulip unless block ~ ~2 ~ pink_tulip unless block ~ ~2 ~ oxeye_daisy unless block ~ ~2 ~ cornflower unless block ~ ~2 ~ lily_of_the_valley unless block ~ ~2 ~ torchflower unless block ~ ~2 ~ wither_rose unless block ~ ~2 ~ pink_petals unless block ~ ~2 ~ pitcher_plant unless block ~ ~2 ~ pitcher_crop unless block ~ ~2 ~ torchflower_crop unless block ~ ~2 ~ lilac unless block ~ ~2 ~ rose_bush unless block ~ ~2 ~ peony unless block ~ ~2 ~ big_dripleaf unless block ~ ~2 ~ small_dripleaf unless block ~ ~2 ~ sunflower unless block ~ ~2 ~ oak_sapling unless block ~ ~2 ~ spruce_sapling unless block ~ ~2 ~ birch_sapling unless block ~ ~2 ~ jungle_sapling unless block ~ ~2 ~ acacia_sapling unless block ~ ~2 ~ dark_oak_sapling unless block ~ ~2 ~ mangrove_propagule unless block ~ ~2 ~ cherry_sapling unless block ~ ~2 ~ bamboo unless block ~ ~2 ~ redstone_wire unless block ~ ~2 ~ repeater unless block ~ ~2 ~ comparator unless block ~ ~2 ~ oak_button unless block ~ ~2 ~ spruce_button unless block ~ ~2 ~ birch_button unless block ~ ~2 ~ jungle_button unless block ~ ~2 ~ acacia_button unless block ~ ~2 ~ dark_oak_button unless block ~ ~2 ~ mangrove_button unless block ~ ~2 ~ cherry_button unless block ~ ~2 ~ bamboo_button unless block ~ ~2 ~ crimson_button unless block ~ ~2 ~ warped_button unless block ~ ~2 ~ stone_button unless block ~ ~2 ~ polished_blackstone_button unless block ~ ~2 ~ lever unless block ~ ~2 ~ oak_pressure_plate unless block ~ ~2 ~ spruce_pressure_plate unless block ~ ~2 ~ birch_pressure_plate unless block ~ ~2 ~ jungle_pressure_plate unless block ~ ~2 ~ acacia_pressure_plate unless block ~ ~2 ~ dark_oak_pressure_plate unless block ~ ~2 ~ mangrove_pressure_plate unless block ~ ~2 ~ cherry_pressure_plate unless block ~ ~2 ~ bamboo_pressure_plate unless block ~ ~2 ~ crimson_pressure_plate unless block ~ ~2 ~ warped_pressure_plate unless block ~ ~2 ~ stone_pressure_plate unless block ~ ~2 ~ polished_blackstone_pressure_plate unless block ~ ~2 ~ heavy_weighted_pressure_plate unless block ~ ~2 ~ light_weighted_pressure_plate unless block ~ ~2 ~ white_carpet unless block ~ ~2 ~ light_gray_carpet unless block ~ ~2 ~ gray_carpet unless block ~ ~2 ~ black_carpet unless block ~ ~2 ~ brown_carpet unless block ~ ~2 ~ red_carpet unless block ~ ~2 ~ orange_carpet unless block ~ ~2 ~ yellow_carpet unless block ~ ~2 ~ lime_carpet unless block ~ ~2 ~ green_carpet unless block ~ ~2 ~ cyan_carpet unless block ~ ~2 ~ light_blue_carpet unless block ~ ~2 ~ blue_carpet unless block ~ ~2 ~ purple_carpet unless block ~ ~2 ~ magenta_carpet unless block ~ ~2 ~ pink_carpet unless block ~ ~2 ~ moss_carpet unless block ~ ~2 ~ azalea unless block ~ ~2 ~ flowering_azalea unless block ~ ~2 ~ tripwire unless block ~ ~2 ~ tripwire_hook run tp ~ ~1 ~ 
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ air run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ short_grass run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ tall_grass run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ fern run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ large_fern run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ wheat run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ beetroots run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ carrots run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ potatoes run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ pumpkin_stem run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ melon_stem run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ glow_lichen run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ sculk_vein run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ ladder run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ vine run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ brown_mushroom run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ red_mushroom run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ dead_bush run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ dandelion run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ poppy run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ blue_orchid run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ allium run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ azure_bluet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ red_tulip run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ orange_tulip run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ white_tulip run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ pink_tulip run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ oxeye_daisy run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ cornflower run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ lily_of_the_valley run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ torchflower run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ wither_rose run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ pink_petals run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ pitcher_plant run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ pitcher_crop run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ torchflower_crop run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ lilac run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ rose_bush run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ peony run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ big_dripleaf run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ small_dripleaf run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ oak_sapling run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ spruce_sapling run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ birch_sapling run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ jungle_sapling run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ acacia_sapling run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ dark_oak_sapling run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ mangrove_propagule run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ cherry_sapling run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ bamboo run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ redstone_wire run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ repeater run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ comparator run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ oak_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ spruce_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ birch_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ jungle_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ acacia_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ dark_oak_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ mangrove_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ cherry_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ bamboo_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ crimson_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ warped_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ stone_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ polished_blackstone_button run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ lever run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ oak_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ spruce_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ birch_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ jungle_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ acacia_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ dark_oak_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ mangrove_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ cherry_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ bamboo_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ crimson_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ warped_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ stone_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ polished_blackstone_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ heavy_weighted_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ light_weighted_pressure_plate run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ white_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ light_gray_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ gray_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ black_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ brown_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ red_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ orange_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ yellow_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ lime_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ green_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ cyan_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ light_blue_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ blue_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ purple_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ magenta_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ pink_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ moss_carpet run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ azalea run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ flowering_azalea run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ tripwire run tp ~ ~-1 ~
execute as @e[type=creeper,tag=inGround] at @s if block ~ ~1 ~ tripwire_hook run tp ~ ~-1 ~

execute as @e[type=creeper,tag=inGround] at @s run tp @s ^ ^ ^0.2 facing entity @p[scores={playerTier=2..}]

execute as @e[type=creeper,tag=inGround] at @s if entity @p[scores={playerTier=2..},distance=..2] run tag @s add emerging
execute as @e[type=creeper,tag=inGround] at @s if entity @p[scores={playerTier=2..},distance=..2] run effect clear @s invisibility
execute as @e[type=creeper,tag=inGround] at @s if entity @p[scores={playerTier=2..},distance=..2] run tag @s remove inGround

execute as @e[type=creeper,tag=emerging] at @s unless block ~ ~ ~ air unless block ~ ~ ~ short_grass unless block ~ ~ ~ tall_grass unless block ~ ~ ~ fern unless block ~ ~ ~ large_fern unless block ~ ~ ~ wheat unless block ~ ~ ~ beetroots unless block ~ ~ ~ carrots unless block ~ ~ ~ potatoes unless block ~ ~ ~ pumpkin_stem unless block ~ ~ ~ melon_stem unless block ~ ~ ~ sweet_berry_bush unless block ~ ~ ~ glow_lichen unless block ~ ~ ~ sculk_vein unless block ~ ~ ~ ladder unless block ~ ~ ~ vine unless block ~ ~ ~ brown_mushroom unless block ~ ~ ~ red_mushroom unless block ~ ~ ~ dead_bush unless block ~ ~ ~ dandelion unless block ~ ~ ~ poppy unless block ~ ~ ~ blue_orchid unless block ~ ~ ~ allium unless block ~ ~ ~ azure_bluet unless block ~ ~ ~ red_tulip unless block ~ ~ ~ orange_tulip unless block ~ ~ ~ white_tulip unless block ~ ~ ~ pink_tulip unless block ~ ~ ~ oxeye_daisy unless block ~ ~ ~ cornflower unless block ~ ~ ~ lily_of_the_valley unless block ~ ~ ~ torchflower unless block ~ ~ ~ wither_rose unless block ~ ~ ~ pink_petals unless block ~ ~ ~ pitcher_plant unless block ~ ~ ~ pitcher_crop unless block ~ ~ ~ torchflower_crop unless block ~ ~ ~ lilac unless block ~ ~ ~ rose_bush unless block ~ ~ ~ peony unless block ~ ~ ~ big_dripleaf unless block ~ ~ ~ small_dripleaf unless block ~ ~ ~ sunflower unless block ~ ~ ~ oak_sapling unless block ~ ~ ~ spruce_sapling unless block ~ ~ ~ birch_sapling unless block ~ ~ ~ jungle_sapling unless block ~ ~ ~ acacia_sapling unless block ~ ~ ~ dark_oak_sapling unless block ~ ~ ~ mangrove_propagule unless block ~ ~ ~ cherry_sapling unless block ~ ~ ~ bamboo unless block ~ ~ ~ redstone_wire unless block ~ ~ ~ repeater unless block ~ ~ ~ comparator unless block ~ ~ ~ oak_button unless block ~ ~ ~ spruce_button unless block ~ ~ ~ birch_button unless block ~ ~ ~ jungle_button unless block ~ ~ ~ acacia_button unless block ~ ~ ~ dark_oak_button unless block ~ ~ ~ mangrove_button unless block ~ ~ ~ cherry_button unless block ~ ~ ~ bamboo_button unless block ~ ~ ~ crimson_button unless block ~ ~ ~ warped_button unless block ~ ~ ~ stone_button unless block ~ ~ ~ polished_blackstone_button unless block ~ ~ ~ lever unless block ~ ~ ~ oak_pressure_plate unless block ~ ~ ~ spruce_pressure_plate unless block ~ ~ ~ birch_pressure_plate unless block ~ ~ ~ jungle_pressure_plate unless block ~ ~ ~ acacia_pressure_plate unless block ~ ~ ~ dark_oak_pressure_plate unless block ~ ~ ~ mangrove_pressure_plate unless block ~ ~ ~ cherry_pressure_plate unless block ~ ~ ~ bamboo_pressure_plate unless block ~ ~ ~ crimson_pressure_plate unless block ~ ~ ~ warped_pressure_plate unless block ~ ~ ~ stone_pressure_plate unless block ~ ~ ~ polished_blackstone_pressure_plate unless block ~ ~ ~ heavy_weighted_pressure_plate unless block ~ ~ ~ light_weighted_pressure_plate unless block ~ ~ ~ white_carpet unless block ~ ~ ~ light_gray_carpet unless block ~ ~ ~ gray_carpet unless block ~ ~ ~ black_carpet unless block ~ ~ ~ brown_carpet unless block ~ ~ ~ red_carpet unless block ~ ~ ~ orange_carpet unless block ~ ~ ~ yellow_carpet unless block ~ ~ ~ lime_carpet unless block ~ ~ ~ green_carpet unless block ~ ~ ~ cyan_carpet unless block ~ ~ ~ light_blue_carpet unless block ~ ~ ~ blue_carpet unless block ~ ~ ~ purple_carpet unless block ~ ~ ~ magenta_carpet unless block ~ ~ ~ pink_carpet unless block ~ ~ ~ moss_carpet unless block ~ ~ ~ azalea unless block ~ ~ ~ flowering_azalea unless block ~ ~ ~ tripwire unless block ~ ~ ~ tripwire_hook run tp ~ ~0.2 ~
execute as @e[type=creeper,tag=emerging] at @s if block ~ ~ ~ air run data modify entity @s Invulnerable set value 0b
execute as @e[type=creeper,tag=emerging] at @s if block ~ ~ ~ air run tag @s remove lurking
execute as @e[type=creeper,tag=emerging] at @s if block ~ ~ ~ air run tag @s remove emerging


execute as @e[type=creeper,tag=inGround] at @s unless entity @p[scores={playerTier=2..},distance=..50] run data modify entity @s Invulnerable set value 0b
execute as @e[type=creeper,tag=inGround] at @s unless entity @p[scores={playerTier=2..},distance=..50] run effect clear @s invisibility
execute as @e[type=creeper,tag=inGround] at @s unless entity @p[scores={playerTier=2..},distance=..50] run tag @s remove lurking
execute as @e[type=creeper,tag=inGround] at @s unless entity @p[scores={playerTier=2..},distance=..50] run tag @s add emerging
execute as @e[type=creeper,tag=inGround] at @s unless entity @p[scores={playerTier=2..},distance=..50] run tag @s remove inGround

execute at @a as @e[type=creeper,distance=..50] run tag @s add checked

# Devil Creepers

execute store result score number randomNumber run random value 1..100
execute at @a[scores={playerTier=3}] as @e[type=creeper,distance=..50,tag=!devilCreeper,tag=!checked] if score number randomNumber matches ..8 run tag @s add devilCreeper
execute as @e[type=creeper,tag=devilCreeper,nbt=!{Fuse:30s}] run data modify entity @s Fuse set value 30
execute store result score number randomNumber run random value 1..2
execute at @a as @e[type=creeper,distance=..50,tag=!checked,tag=devilCreeper] if score number randomNumber matches 1 run tag @s add nuke
execute as @e[type=creeper,tag=nuke,nbt=!{ExplosionRadius:6b}] run data modify entity @s ExplosionRadius set value 6b
execute at @a as @e[type=creeper,distance=..50,tag=!checked,tag=devilCreeper] if score number randomNumber matches 2 run tag @s add firework
execute as @e[type=creeper,tag=firework,nbt=!{ExplosionRadius:-1b}] run data modify entity @s ExplosionRadius set value -1b
execute as @e[type=creeper,tag=firework,nbt=!{active_effects:[{id:"minecraft:unluck",amplifier:0b}]}] run effect give @s unluck infinite 0 true
execute at @e[type=area_effect_cloud,nbt={effects:[{id:"minecraft:unluck",amplifier:0b}]}] run summon firework_rocket ~2 ~2 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:3,Colors:[I;8439583]}]}}}}
execute at @e[type=area_effect_cloud,nbt={effects:[{id:"minecraft:unluck",amplifier:0b}]}] run summon firework_rocket ~ ~2 ~2 {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:3,Colors:[I;8439583]}]}}}}
execute at @e[type=area_effect_cloud,nbt={effects:[{id:"minecraft:unluck",amplifier:0b}]}] run summon firework_rocket ~-2 ~2 ~ {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:3,Colors:[I;8439583]}]}}}}
execute at @e[type=area_effect_cloud,nbt={effects:[{id:"minecraft:unluck",amplifier:0b}]}] run summon firework_rocket ~ ~2 ~-2 {LifeTime:0,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:3,Colors:[I;8439583]}]}}}}
execute at @e[type=area_effect_cloud,nbt={effects:[{id:"minecraft:unluck",amplifier:0b}]}] run summon firework_rocket ~ ~1 ~ {LifeTime:19,FireworksItem:{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:1,Colors:[I;16716820]}]}}}}

execute as @e[type=area_effect_cloud,nbt={effects:[{id:"minecraft:unluck",amplifier:0b}]}] run kill @s


# Creeper Paticles
execute as @e[type=creeper,nbt=!{Fuse:30s},tag=!speedy] at @s run particle witch ~ ~0.5 ~ 0.25 0.5 0.25 0 2 force 
execute as @e[type=creeper,tag=speedy] at @s run particle firework ~ ~0.5 ~ 0.25 0.5 0.25 0 2 force 
execute as @e[type=creeper,tag=devilCreeper] at @s run particle falling_dust redstone_block ~ ~0.5 ~ 0.25 0.5 0.25 0 10 force 


execute store result score number randomNumber run random value 1..10

# Excluded Creepers (Give this tag to a creeper to make it normal)
tag @e[type=creeper,tag=excluded] remove devilCreeper
tag @e[type=creeper,tag=excluded] remove nuke
tag @e[type=creeper,tag=excluded] remove firework
tag @e[type=creeper,tag=excluded] remove silent
tag @e[type=creeper,tag=excluded] remove speedy
tag @e[type=creeper,tag=excluded] remove lurking
tag @e[type=creeper,tag=excluded] add sorted

# Skeleton Tier 1
execute at @a[scores={playerTier=1}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_1/tier_1_loot_chest
execute at @a[scores={playerTier=1}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_1/tier_1_loot_legs
execute at @a[scores={playerTier=1}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_1/tier_1_loot_feet
execute at @a[scores={playerTier=1}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_1/tier_1_loot_head

# Zombie Tier 1
execute at @a[scores={playerTier=1}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_1/tier_1_loot_chest
execute at @a[scores={playerTier=1}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_1/tier_1_loot_legs
execute at @a[scores={playerTier=1}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_1/tier_1_loot_feet
execute at @a[scores={playerTier=1}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_1/tier_1_loot_head

# Husk Tier 1
execute at @a[scores={playerTier=1}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_1/tier_1_loot_chest
execute at @a[scores={playerTier=1}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_1/tier_1_loot_legs
execute at @a[scores={playerTier=1}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_1/tier_1_loot_feet
execute at @a[scores={playerTier=1}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_1/tier_1_loot_head

# Drowned Tier 1
execute at @a[scores={playerTier=1}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_1/tier_1_loot_chest
execute at @a[scores={playerTier=1}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_1/tier_1_loot_legs
execute at @a[scores={playerTier=1}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_1/tier_1_loot_feet
execute at @a[scores={playerTier=1}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_1/tier_1_loot_head

# Creeper Tier 1
execute at @a[scores={playerTier=1}] as @e[type=creeper,distance=..50,tag=!sorted] if score number randomNumber matches ..2 run data modify entity @s Fuse set value 25

# Wither Skeleton Tier 1
execute at @a[scores={playerTier=1}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_1/tier_1_loot_chest
execute at @a[scores={playerTier=1}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_1/tier_1_loot_legs
execute at @a[scores={playerTier=1}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_1/tier_1_loot_feet
execute at @a[scores={playerTier=1}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_1/tier_1_loot_head

# Zombified Piglin Tier 1
execute at @a[scores={playerTier=1}] as @e[type=zombified_piglin,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_1/tier_1_loot_chest
execute at @a[scores={playerTier=1}] as @e[type=zombie_villager,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_1/tier_1_loot_legs
execute at @a[scores={playerTier=1}] as @e[type=zombified_piglin,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_1/tier_1_loot_feet
execute at @a[scores={playerTier=1}] as @e[type=zombified_piglin,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_1/tier_1_loot_head

# Vex Tier 1
execute at @a[scores={playerTier=1}] as @e[type=vex,distance=..50,tag=!sorted] run item replace entity @s weapon.mainhand with diamond_sword

# Skeleton Tier 2
execute at @a[scores={playerTier=2}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_2/tier_2_loot_chest
execute at @a[scores={playerTier=2}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_2/tier_2_loot_legs
execute at @a[scores={playerTier=2}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_2/tier_2_loot_feet
execute at @a[scores={playerTier=2}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_2/tier_2_loot_head
execute at @a[scores={playerTier=2}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s weapon.mainhand loot mobprogression:tiers/tier_2/tier_2_loot_skeleton_mainhand

# Zombie Tier 2
execute at @a[scores={playerTier=2}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_2/tier_2_loot_chest
execute at @a[scores={playerTier=2}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_2/tier_2_loot_legs
execute at @a[scores={playerTier=2}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_2/tier_2_loot_feet
execute at @a[scores={playerTier=2}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_2/tier_2_loot_head
execute at @a[scores={playerTier=2}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s weapon.mainhand loot mobprogression:tiers/tier_2/tier_2_loot_zombie_mainhand

# Husk Tier 2
execute at @a[scores={playerTier=2}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_2/tier_2_loot_chest
execute at @a[scores={playerTier=2}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_2/tier_2_loot_legs
execute at @a[scores={playerTier=2}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_2/tier_2_loot_feet
execute at @a[scores={playerTier=2}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_2/tier_2_loot_head
execute at @a[scores={playerTier=2}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s weapon.mainhand loot mobprogression:tiers/tier_2/tier_2_loot_zombie_mainhand

# Drowned Tier 2
execute at @a[scores={playerTier=2}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_2/tier_2_loot_chest
execute at @a[scores={playerTier=2}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_2/tier_2_loot_legs
execute at @a[scores={playerTier=2}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_2/tier_2_loot_feet
execute at @a[scores={playerTier=2}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_2/tier_2_loot_head

# Creeper Tier 2

execute at @a[scores={playerTier=2}] as @e[type=creeper,distance=..50,tag=!sorted] if score number randomNumber matches ..3 run data modify entity @s Fuse set value 20

# Wither Skeleton Tier 2
execute at @a[scores={playerTier=2}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_2/tier_2_loot_chest
execute at @a[scores={playerTier=2}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_2/tier_2_loot_legs
execute at @a[scores={playerTier=2}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_2/tier_2_loot_feet
execute at @a[scores={playerTier=2}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_2/tier_2_loot_head

# Zombififed Piglin Tier 2
execute at @a[scores={playerTier=2}] as @e[type=zombified_piglin,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_2/tier_2_loot_chest
execute at @a[scores={playerTier=2}] as @e[type=zombified_piglin,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_2/tier_2_loot_legs
execute at @a[scores={playerTier=2}] as @e[type=zombified_piglin,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_2/tier_2_loot_feet
execute at @a[scores={playerTier=2}] as @e[type=zombified_piglin,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_2/tier_2_loot_head

# Vex Tier 2
execute at @a[scores={playerTier=2}] as @e[type=vex,distance=..50,tag=!sorted] run item replace entity @s weapon.mainhand with diamond_axe

# Pillager Tier 2
execute at @a[scores={playerTier=2}] as @e[type=pillager,distance=..50,tag=!sorted] run loot replace entity @s weapon.offhand loot mobprogression:tiers/tier_2/tier_2_loot_pillager_offhand


# Skeleton Tier 3
execute at @a[scores={playerTier=3}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_3/tier_3_loot_chest
execute at @a[scores={playerTier=3}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_3/tier_3_loot_legs
execute at @a[scores={playerTier=3}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_3/tier_3_loot_feet
execute at @a[scores={playerTier=3}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_3/tier_3_loot_head
execute at @a[scores={playerTier=3}] as @e[type=skeleton,distance=..50,tag=!sorted] run loot replace entity @s weapon.mainhand loot mobprogression:tiers/tier_3/tier_3_loot_skeleton_mainhand

# Zombie Tier 3
execute at @a[scores={playerTier=3}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_3/tier_3_loot_chest
execute at @a[scores={playerTier=3}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_3/tier_3_loot_legs
execute at @a[scores={playerTier=3}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_3/tier_3_loot_feet
execute at @a[scores={playerTier=3}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_3/tier_3_loot_head
execute at @a[scores={playerTier=3}] as @e[type=zombie,distance=..50,tag=!sorted] run loot replace entity @s weapon.mainhand loot mobprogression:tiers/tier_3/tier_3_loot_zombie_mainhand

# Husk Tier 3
execute at @a[scores={playerTier=3}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_3/tier_3_loot_chest
execute at @a[scores={playerTier=3}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_3/tier_3_loot_legs
execute at @a[scores={playerTier=3}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_3/tier_3_loot_feet
execute at @a[scores={playerTier=3}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_3/tier_3_loot_head
execute at @a[scores={playerTier=3}] as @e[type=husk,distance=..50,tag=!sorted] run loot replace entity @s weapon.mainhand loot mobprogression:tiers/tier_3/tier_3_loot_zombie_mainhand

# Drowned Tier 3
execute at @a[scores={playerTier=3}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_3/tier_3_loot_chest
execute at @a[scores={playerTier=3}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_3/tier_3_loot_legs
execute at @a[scores={playerTier=3}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_3/tier_3_loot_feet
execute at @a[scores={playerTier=3}] as @e[type=drowned,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_3/tier_3_loot_head

# Creeper Tier 3
execute at @a[scores={playerTier=3}] as @e[type=creeper,distance=..50,tag=!sorted] if score number randomNumber matches ..4 run data modify entity @s Fuse set value 15


# Wither Skeleton Tier 3
execute at @a[scores={playerTier=3}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_3/tier_3_loot_chest
execute at @a[scores={playerTier=3}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_3/tier_3_loot_legs
execute at @a[scores={playerTier=3}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_3/tier_3_loot_feet
execute at @a[scores={playerTier=3}] as @e[type=wither_skeleton,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_3/tier_3_loot_head

# Zombififed Piglin Tier 3
execute at @a[scores={playerTier=3}] as @e[type=zombified_piglin,distance=..50,tag=!sorted] run loot replace entity @s armor.chest loot mobprogression:tiers/tier_3/tier_3_loot_chest
execute at @a[scores={playerTier=3}] as @e[type=zombified_piglin,distance=..50,tag=!sorted] run loot replace entity @s armor.legs loot mobprogression:tiers/tier_3/tier_3_loot_legs
execute at @a[scores={playerTier=3}] as @e[type=zombified_piglin,distance=..50,tag=!sorted] run loot replace entity @s armor.feet loot mobprogression:tiers/tier_3/tier_3_loot_feet
execute at @a[scores={playerTier=3}] as @e[type=zombified_piglin,distance=..50,tag=!sorted] run loot replace entity @s armor.head loot mobprogression:tiers/tier_3/tier_3_loot_head

# Vex Tier 3
execute at @a[scores={playerTier=3}] as @e[type=vex,distance=..50,tag=!sorted] run item replace entity @s weapon.mainhand with netherite_axe

# Pillager Tier 3
execute at @a[scores={playerTier=3}] as @e[type=pillager,distance=..50,tag=!sorted] run loot replace entity @s weapon.offhand loot mobprogression:tiers/tier_3/tier_3_loot_pillager_offhand


# Sort Entities
execute at @a as @e[type=skeleton,distance=..50,tag=!sorted] run tag @s add sorted
execute at @a as @e[type=zombie,distance=..50,tag=!sorted] run tag @s add sorted
execute at @a as @e[type=husk,distance=..50,tag=!sorted] run tag @s add sorted
execute at @a as @e[type=drowned,distance=..50,tag=!sorted] run tag @s add sorted
execute at @a as @e[type=creeper,distance=..50,tag=!sorted] run tag @s add sorted
execute at @a as @e[type=wither_skeleton,distance=..50,tag=!sorted] run tag @s add sorted
execute at @a as @e[type=zombified_piglin,distance=..50,tag=!sorted] run tag @s add sorted
execute at @a as @e[type=vex,distance=..50,tag=!sorted] run tag @s add sorted
execute at @a as @e[type=pillager,distance=..50,tag=!sorted] run tag @s add sorted
